import Command from '@oclif/command';
import { ConfigFile } from './lib/config-file';
export default abstract class BaseCommand extends Command {
    readonly configFilePath: string;
    getConfig(): Promise<ConfigFile>;
    saveConfig(config: ConfigFile): Promise<void>;
    promptInput(args: {
        message: string;
        default?: string;
        validator?(value: string): string | boolean;
    }): Promise<string>;
    promptConfirm(args: {
        message: string;
        default?: boolean;
    }): Promise<boolean>;
    promptChoices(args: {
        message: string;
        choices: string[];
    }): Promise<string>;
}
