"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const base_command_1 = require("../../base-command");
class ConfigGet extends base_command_1.default {
    async run() {
        const { args } = this.parse(ConfigGet);
        const configFile = await this.getConfig();
        const setting = args.setting;
        if (setting) {
            this.log(configFile.get(setting));
        }
        else {
            this.log(configFile.toString());
        }
    }
}
ConfigGet.description = 'view configuration settings';
ConfigGet.flags = {
    help: command_1.flags.help({ char: 'h' })
};
ConfigGet.args = [
    { name: 'setting', options: ['jiraHost', 'jiraEmail', 'jiraAccessToken', 'githubAccessToken'] }
];
exports.default = ConfigGet;
