"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const base_command_1 = require("../../base-command");
class SetCommand extends base_command_1.default {
    async run() {
        const { args } = this.parse(SetCommand);
        const setting = args.setting;
        const value = args.value;
        let configFile = await this.getConfig();
        configFile = configFile.update(setting, value);
        await this.saveConfig(configFile);
    }
}
SetCommand.description = 'set configuration settings';
SetCommand.flags = {
    help: command_1.flags.help({ char: 'h' })
};
SetCommand.args = [
    { name: 'setting', options: ['jiraHost', 'jiraEmail', 'jiraAccessToken', 'githubAccessToken'] },
    { name: 'value' }
];
exports.default = SetCommand;
