export declare class JiraClient {
    private readonly username;
    private readonly accessToken;
    private readonly host;
    private readonly auth;
    constructor(config: {
        username: string;
        accessToken: string;
        host: string;
    });
    getJiraTicket(ticketId: string): Promise<JiraIssue>;
    getTransitions(ticketId: string): Promise<any>;
    transitionTicket(ticketId: string, transitionId: string): Promise<void>;
}
export interface JiraIssue {
    id: string;
    key: string;
    fields: {
        summary: string;
        issuetype: {
            name: string;
        };
    };
}
