"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
class JiraClient {
    constructor(config) {
        this.username = config.username;
        this.accessToken = config.accessToken;
        this.host = config.host;
        this.auth = {
            username: this.username,
            password: this.accessToken
        };
    }
    async getJiraTicket(ticketId) {
        const response = await axios_1.default({
            url: `https://${this.host}/rest/api/2/issue/${ticketId}`,
            auth: this.auth
        });
        return response.data;
    }
    async getTransitions(ticketId) {
        const response = await axios_1.default({
            url: `https://${this.host}/rest/api/2/issue/${ticketId}/transitions`,
            auth: this.auth
        });
        return response.data.transitions;
    }
    async transitionTicket(ticketId, transitionId) {
        await axios_1.default({
            url: `https://${this.host}/rest/api/2/issue/${ticketId}/transitions`,
            method: 'POST',
            auth: this.auth,
            data: {
                transition: {
                    id: transitionId
                }
            }
        });
    }
}
exports.JiraClient = JiraClient;
